Method: networks.lineItems.creatives.batchActivate
Stay organized with collections
Save and categorize content based on your preferences.
Activate a list of LineItemCreativeAssociation objects.
HTTP request
POST https://admanager.googleapis.com/v1/{parent}/creatives:batchActivate
Path parameters
| Parameters |
parent |
string
Required. The parent resource where LineItemCreativeAssociations will be activated. This request supports using the "-" character as a wildcard for resources that span across multiple LineItem parents. Format: networks/{networkCode}/lineItems/{lineItemId} Format: networks/{networkCode}/lineItems/-
|
Request body
The request body contains data with the following structure:
| JSON representation |
{
"names": [
string
]
} |
| Fields |
names[] |
string
Required. The names of the LineItemCreativeAssociation objects to activate. A maximum of 1000 objects can be activated in a batch. Format: networks/{networkCode}/lineItems/{lineItemId}/creatives/{creativeId}
|
Response body
If successful, the response body is empty.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/admanager
For more information, see the OAuth 2.0 Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-10-23 UTC.
[null,null,["Last updated 2026-10-23 UTC."],[],[]]